/// Generated By XFlutter Cli.
/// 
/// more info: https://medium.com/@aghiadodeh
import 'package:flutter/material.dart';
import 'package:flutter_mvvm_example/storage/storage.dart';
import 'package:flutter_mvvm_example/ui/resources/themes/themes.dart';
import 'package:flutter_mvvm_example/ui/resources/themes/themes_night.dart';

/// state management for App [ThemeMode] and [ThemeData]
class ThemeProvider with ChangeNotifier {
  ThemeMode _mode = AppStorage.themeMode();
  ThemeMode get mode => _mode;
  ThemeData get theme => mode == ThemeMode.dark ? darkTheme : lightTheme;

  void setDarkTheme(bool isDark) async {
    await AppStorage.setDarkTheme(isDark);
    _mode = isDark ? ThemeMode.dark : ThemeMode.light;
    notifyListeners();
  }
}
